Bug 987188 - Through client none of the 'debug.*' options work
Through client none of the 'debug.*' options work
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 18:08 EDT by Harshavardhana
Modified: 2015-10-07 08:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 08:24:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2013-07-22 18:08:56 EDT
Description of problem:

None of following keys work - even if the 'gluster cli' says success 

[root@sysrq ~]# gluster volume set gfs debug.trace on
volume set: success
[root@sysrq ~]# grep debug /var/lib/glusterd/vols/gfs/gfs-fuse.vol
    type debug/io-stats
[root@sysrq ~]# 


 key = "debug.trace",
  
 key = "debug.log-history"
  
 key = "debug.log-file"

 key = "debug.exclude-ops"
   
 key = "debug.include-ops"
  
 key = "debug.error-gen"

Version-Release number of selected component (if applicable):
3.4.0 

How reproducible:
Always

Steps to Reproduce:
1.  $ gluster volume set <volname> debug.trace on
2.  grep 'debug' /var/lib/glusterd/vols/<volname>/<volname>-fuse.vol

Actual results:
debugging trace cannot be enabled

Expected results:
debugging trace module should be enabled

Additional info:
If such an option is not used or unnecessary - it should be ideally removed from the code base.
Comment 2 Niels de Vos 2015-05-17 17:57:12 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 3 Kaleb KEITHLEY 2015-10-07 08:24:31 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.